# Uses of Class
org.eclipse.draw2d.text.BidiInfo

Packages that use BidiInfo
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of BidiInfo in org.eclipse.draw2d.text

Methods in org.eclipse.draw2d.text that return BidiInfo
Modifier and Type
Method
Description
`BidiInfo`
TextFlow.`getBidiInfo()`
Returns the BidiInfo for this figure or `null`.
Methods in org.eclipse.draw2d.text with parameters of type BidiInfo
Modifier and Type
Method
Description
`void`
FlowAdapter.`setBidiInfo(BidiInfo info)`
Sets the bidi level of the content box associated with this Figure
`void`
FlowFigure.`setBidiInfo(BidiInfo info)`
Sets the bidi information for this figure.
`void`
TextFlow.`setBidiInfo(BidiInfo info)`